function Mover(radius){
        this.location = new Vector2d(Math.random()*stage.canvas.width,-radius);
        this.velocity = new Vector2d(0,0);
        this.acceleration = new Vector2d(0,0);
        this.mass = 10;
        this.radius = radius;
        this.image = new createjs.Shape();
        this.image.graphics.beginFill('#0ff').drawCircle(0,0,this.radius);
        
    }

    Mover.prototype.applyForce = function(forceX,forceY){
        var f = new Vector2d(forceX,forceY);
        f.div(this.mass);
        this.acceleration.add(f);    
    }

    Mover.prototype.update = function(){   
        this.velocity.add(this.acceleration);
        this.location.add(this.velocity);
        this.acceleration.x = this.acceleration.y = 0;
    }

    Mover.prototype.draw = function(){   
        this.image.y = this.location.y-this.radius;
        this.image.x = this.location.x-this.radius;
    }

    Mover.prototype.checkGround = function(){
        if(this.location.y > stage.canvas.height-this.radius){
            this.location.y = stage.canvas.height-this.radius;
            this.velocity.y *= -0.6;        
        } else if(this.location.y < this.radius){
            this.location.y = this.radius;
            this.velocity.y *= -0.6;   
        }

        if(this.location.x > stage.canvas.width - this.radius){
            this.location.x = stage.canvas.width - this.radius;
            this.velocity.x *= -0.6;
        } else if(this.location.x < this.radius){
            this.location.x = this.radius;
            this.velocity.x *= -0.6;
        }
    }